Subject: Re: bug#21103: 24.5; LaTeX input mode: add more blackboard bold characters

From: Stefan Kangas <[email-masked]>
Date: Mon, 20 Jan 2020 21:41:30 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Ansgar Burchardt <[email-masked]> writes:
>
>> I miss at least ℂ (field of complex numbers), 𝔽 (generic field), 𝕂
>> (generic field, German), ℍ (quaternions), 𝕀 (identity map), ℚ (field of
>> rational numbers), ℤ (ring of integers). Others might miss a few more
>> that are in common use, see [1].
>>
>> The attached patch adds all blackboard bold capital characters and "1"
>> and "2" using the codepoints from the referenced Wikipedia article.
>
> [...]
>
>> This patch adds all capital blackboard bold letters and those for "1"
>> and "2". Most characters are in common use in mathematics, but it does
>> not seem useful to exclude the few not widely used.
>
> It does seem more consistent to add them all, yes...
>
>> - ("\\Bbb{N}" ?ℕ)			; AMS commands for blackboard bold
>> - ("\\Bbb{P}" ?ℙ)			; Also sometimes \mathbb.
>> + ("\\Bbb{A}" ?𝔸)			; AMS commands for blackboard bold
>> + ("\\Bbb{B}" ?𝔹)			; Also sometimes \mathbb.
>> + ("\\Bbb{C}" ?ℂ)
>> + ("\\Bbb{D}" ?𝔻)
>> + ("\\Bbb{E}" ?𝔼)
>> + ("\\Bbb{F}" ?𝔽)
>> + ("\\Bbb{G}" ?𝔾)
>> + ("\\Bbb{H}" ?ℍ)
>
> (etc)
>
> A question to the other Emacs maintainers -- would a change like this,
> which is more than 15 lines, require a copyright assignment?  It's not
> very "code-ey"...

I searched online, and found the following:
https://www.copyright.gov/circs/circ33.pdf

    Familiar symbols and designs, or a simple combination of a few familiar symbols or designs, are 
    uncopyrightable and cannot be registered with the Office. However, a work of authorship that 
    incorporates one or more familiar symbols or designs into a larger design may be registered if the 
    work as a whole contains a sufficient amount of creative expression.
    
    Examples of familiar symbols and designs include but are not limited to
    • Letters, punctuation, or symbols on a keyboard
    • Abbreviations
    • Musical notation
    • Numbers and mathematical and currency symbols
    • Arrows and other directional or navigational symbols
    • Common symbols and shapes, such as a spade, club, heart, diamond, star, yin yang, or  
       fleur de lys
    • Common patterns, such as standard chevron, polka dot, checkerboard, or houndstooth
    • Well-known and commonly used symbols that contain a minimal amount of expression or  
      are in the public domain, such as the peace symbol, gender symbols, or simple emoticons
    • Industry designs, such as the caduceus, barber pole, food labeling symbols, or hazard 
      warning symbols
    • Familiar religious symbols
    • Common architecture moldings

Given the above, I think this is fine to install with the
Copyright-paperwork-exempt tag.

We could perhaps contact [email-masked] if we feel unsure about this,
to hear what they have to say.  Does anyone think we should do that
first, or have any other comments?  Otherwise, I think we should just
install it.

Best regards,
Stefan Kangas